/* spi_dma.h */

#ifndef SPI_DMA_H_
#define SPI_DMA_H_

#include <stm32f10x.h>

// .  
void spi_dma_Init(void);

///   SPI c DMA
//(  SPI     (spi.h.c) )
// SPIx - SPI1  SPI2
// half: 0 - 8 , 1 - 16 
// tbuf -    
// rbuf -   ,    
// count -       half
//
//   tbuf  ,   rbuf - 0,     .
//   -    .
//     ,        
int xchng_datablock(SPI_TypeDef *SPIx , uint8_t half , const void *tbuf , void *rbuf , unsigned count);

#endif
